[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.AssignCacheToItemData

Sends the cached selection state to the widget.

## Declaration

Source position: stdctrls.pp line 581

`protected procedure TCustomListBox.AssignCacheToItemData(`
`const AIndex: Integer;`
`const AData: Pointer`
`); virtual;`

## Arguments

`AIndex` |  | Ordinal position for the item data read from the cache.
`AData` |  | Pointer to the data read from the cache for the specified item.

## Description

Called to restore the ItemData after a handle is created.